local t = Def.ActorFrame {
	-- NAKET
	Def.ActorScroller {
		NumItemsToDraw = 5;
		SecondsPerItem = 0.1828125;
		TransformFunction = function( self, offset, itemIndex, numItems )
			self:x( offset*120 )
			self:y( math.sin(offset)*-160 )
		end;
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(scrollwithpadding,8,16);
		children={
			LoadActor("naketcoder/N.png");
			LoadActor("naketcoder/A.png");
			LoadActor("naketcoder/K.png");
			LoadActor("naketcoder/E.png");
			LoadActor("naketcoder/T.png");
		};
	};
	
	-- CODER
	Def.ActorScroller {
		NumItemsToDraw = 5;
		SecondsPerItem = 0.1828125;
		TransformFunction = function( self, offset, itemIndex, numItems )
			self:x( offset*-120 )
			self:y( math.cos(offset)*-160 )
		end;
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
		OnCommand=cmd(sleep,10;scrollwithpadding,17,16);
		children={
			LoadActor("naketcoder/R.png");
			LoadActor("naketcoder/E.png");
			LoadActor("naketcoder/D.png");
			LoadActor("naketcoder/O.png");
			LoadActor("naketcoder/C.png");
		};
	};
	
	-- REVOLUTION
	Def.ActorScroller {
		NumItemsToDraw = 10;
		SecondsPerItem = 0.09140625;
		TransformFunction = function( self, offset, itemIndex, numItems )
			self:x( offset*-160 )
		end;
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(scrollwithpadding,50,16);
		children={
			LoadActor("revolution/N.png");
			LoadActor("revolution/O.png");
			LoadActor("revolution/I.png");
			LoadActor("revolution/T.png");
			LoadActor("revolution/U.png");
			LoadActor("revolution/L.png");
			LoadActor("revolution/O.png");
			LoadActor("revolution/V.png");
			LoadActor("revolution/E.png");
			LoadActor("revolution/R.png");
		};
	};
	
	-- title logo
	LoadActor( THEME:GetPathG("ScreenTitleMenu", GAMESTATE:GetCurrentGame():GetName()) ) ..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,50;diffusealpha,0);
		OnCommand=cmd(sleep,5.5;diffusealpha,1;accelerate,1;zoom,1);
	};
	
	-- theme version
	LoadFont("", "_helvetica") ..{
		Text="bleeding heart liberal " .. ThemeVersion();
		InitCommand=cmd(x,SCREEN_CENTER_X+224;y,SCREEN_CENTER_Y+42;shadowlength,0;zoom,0.5;horizalign,right;diffusealpha,0);
		OnCommand=cmd(sleep,6.5;accelerate,0.5;diffusealpha,0.75);
	};
};

return t;